#!/bin/bash | |
# exit on errors | |
set -eu -o pipefail | |
# initialize build environment | |
ONOS_ROOT=`pwd` | |
. tools/build/envDefaults | |
# initialize development environment for STC | |
. tools/dev/bash_profile | |
# always free the cell when exiting | |
function cleanup { | |
cell return | |
} | |
trap cleanup EXIT | |
# grab a cell to run on | |
cell borrow | |
# build onos bits | |
onos-buck build onos | |
# set up STC parameters | |
topo default | |
export stcDumpLogs=true | |
export stcColor="false" | |
export stcHaltOnError=true | |
export TERM=vt100 | |
# run STC | |
stc |